path: /build/build/jre-virtual-17-17.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} virtual/jre:17 -pv -t && \
    emerge -j ${JOBS} --nodeps virtual/jre:17
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/jre && luet-portage --dir /pkgdir/jre
    virtual/jre:17 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4b6ed712855a4970e301de774b749fe4ba642454d54e9322470fbaef35967ec3
  package:
    name: jre
    version: "17"
    category: virtual-17
    requires:
    - name: openjdk-jre-bin
      version: '>=0'
      category: dev-java-17
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Virtual for Java Runtime Environment (JRE)
    uri:
    - ""
    buildtimestamp: 2023-09-25 06:46:30.63721697 +0000 UTC m=+75.789154755
    labels:
      RDEPEND: '|| ( virtual/jdk:17 dev-java/oracle-jre-bin:17[gentoo-vm(+)] dev-java/openjdk-jre-bin:17[gentoo-vm(+)]
        dev-java/openjdk-jre:17[gentoo-vm(+)] )'
      emerge.packages: virtual/jre:17
      kit: java-kit
      original.package.name: virtual/jre
      original.package.slot: "17"
      original.package.version: 17-r1
    treedir: /build/packages
  package_dir: /pkgdir/jre
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 23c65378b3e8b892dda10d4a9a475b98d3b9faa5d9e70724402afccee85b9942
compressiontype: zstd
files:
- var/db/pkg/virtual/jre-17-r1/BUILD_TIME
- var/db/pkg/virtual/jre-17-r1/CATEGORY
- var/db/pkg/virtual/jre-17-r1/CBUILD
- var/db/pkg/virtual/jre-17-r1/CFLAGS
- var/db/pkg/virtual/jre-17-r1/CHOST
- var/db/pkg/virtual/jre-17-r1/COUNTER
- var/db/pkg/virtual/jre-17-r1/CXXFLAGS
- var/db/pkg/virtual/jre-17-r1/DEFINED_PHASES
- var/db/pkg/virtual/jre-17-r1/DESCRIPTION
- var/db/pkg/virtual/jre-17-r1/EAPI
- var/db/pkg/virtual/jre-17-r1/FEATURES
- var/db/pkg/virtual/jre-17-r1/IUSE
- var/db/pkg/virtual/jre-17-r1/IUSE_EFFECTIVE
- var/db/pkg/virtual/jre-17-r1/KEYWORDS
- var/db/pkg/virtual/jre-17-r1/LDFLAGS
- var/db/pkg/virtual/jre-17-r1/LICENSE
- var/db/pkg/virtual/jre-17-r1/PF
- var/db/pkg/virtual/jre-17-r1/RDEPEND
- var/db/pkg/virtual/jre-17-r1/SIZE
- var/db/pkg/virtual/jre-17-r1/SLOT
- var/db/pkg/virtual/jre-17-r1/USE
- var/db/pkg/virtual/jre-17-r1/environment.bz2
- var/db/pkg/virtual/jre-17-r1/jre-17-r1.ebuild
- var/db/pkg/virtual/jre-17-r1/repository
package_cacheimage: ""
runtime:
  name: jre
  version: "17"
  category: virtual-17
  requires:
  - name: jdk
    version: '>=0'
    category: virtual-17
  - name: openjdk-jre-bin
    version: '>=0'
    category: dev-java-17
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Virtual for Java Runtime Environment (JRE)
  uri:
  - ""
  labels:
    RDEPEND: '|| ( virtual/jdk:17 dev-java/oracle-jre-bin:17[gentoo-vm(+)] dev-java/openjdk-jre-bin:17[gentoo-vm(+)]
      dev-java/openjdk-jre:17[gentoo-vm(+)] )'
    emerge.packages: virtual/jre:17
    kit: java-kit
    original.package.name: virtual/jre
    original.package.slot: "17"
    original.package.version: 17-r1
